<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.NotImplemented (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.NotImplemented (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/NotImplemented.html" title="annotation in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/NotImplemented.html"
               target="_top">Frames</a></li>
        <li><a href="NotImplemented.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.NotImplemented" class="title">Uses of Class<br>org.apache.poi.util.NotImplemented
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                                    title="annotation in org.apache.poi.util">NotImplemented</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel.helpers">org.apache.poi.hssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.opc">org.apache.poi.openxml4j.opc</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.section.geometry">org.apache.poi.xdgf.usermodel.section.geometry</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hpsf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertySet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/PropertySet.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#clearRect-int-int-int-int-">clearRect</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#clipRect-int-int-int-int-">clipRect</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#copyArea-int-int-int-int-int-int-">copyArea</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height,
                                int&nbsp;dx,
                                int&nbsp;dy)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawArc-int-int-int-int-int-int-">drawArc</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height,
                                int&nbsp;startAngle,
                                int&nbsp;arcAngle)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;sx1,
                                int&nbsp;sy1,
                                int&nbsp;sx2,
                                int&nbsp;sy2,
                                java.awt.Color&nbsp;bgcolor,
                                java.awt.image.ImageObserver&nbsp;observer)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;sx1,
                                int&nbsp;sy1,
                                int&nbsp;sx2,
                                int&nbsp;sy2,
                                java.awt.image.ImageObserver&nbsp;observer)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawPolyline-int:A-int:A-int-">drawPolyline</a></span>(int[]&nbsp;xPoints,
                                int[]&nbsp;yPoints,
                                int&nbsp;nPoints)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawRect-int-int-int-int-">drawRect</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawRoundRect-int-int-int-int-int-int-">drawRoundRect</a></span>(int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height,
                                int&nbsp;arcWidth,
                                int&nbsp;arcHeight)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setClip-java.awt.Shape-">setClip</a></span>(java.awt.Shape&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setPaintMode--">setPaintMode</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setXORMode-java.awt.Color-">setXORMode</a></span>(java.awt.Color&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#translate-int-int-">translate</a></span>(int&nbsp;x,
                                int&nbsp;y)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/hwpf/model/FontTable.html"
                                                          title="class in org.apache.poi.hwpf.model">FontTable</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HWPFOldDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getFontTable--">getFontTable</a></span>()</code>
                                <div class="block">Use <a
                                        href="../../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOldFontTable--"><code>HWPFOldDocument.getOldFontTable()</code></a>
                                    instead!!!
                                    This always throws an IllegalArgumentException.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">OldTextPiece.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html#adjustForDelete-int-int-">adjustForDelete</a></span>(int&nbsp;start,
                                int&nbsp;length)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">OldTextPiece.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html#isUnicode--">isUnicode</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">OldTextPiece.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html#substring-int-int-">substring</a></span>(int&nbsp;start,
                                int&nbsp;end)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ooxml.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.opc">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/openxml4j/opc/package-summary.html">org.apache.poi.openxml4j.opc</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/openxml4j/opc/package-summary.html">org.apache.poi.openxml4j.opc</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ZipPackagePart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#close--">close</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ZipPackagePart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#flush--">flush</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ZipPackagePart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#load-java.io.InputStream-">load</a></span>(java.io.InputStream&nbsp;ios)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">OPCPackage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html#validatePackage-org.apache.poi.openxml4j.opc.OPCPackage-">validatePackage</a></span>(<a
                                    href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                    title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                <div class="block">Validates the package compliance with the OPC specifications.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#clip-java.awt.Shape-">clip</a></span>(java.awt.Shape&nbsp;s)</code>
                                <div class="block">Intersects the current <code>Clip</code> with the interior of the
                                    specified <code>Shape</code> and sets the <code>Clip</code> to the
                                    resulting intersection.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-java.awt.geom.AffineTransform-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                java.awt.geom.AffineTransform&nbsp;xform,
                                java.awt.image.ImageObserver&nbsp;obs)</code>
                                <div class="block">Renders an image, applying a transform from image space into user
                                    space
                                    before drawing.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;x,
                                int&nbsp;y,
                                java.awt.Color&nbsp;bgcolor,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified image as is currently available.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;x,
                                int&nbsp;y,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified image as is currently available.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height,
                                java.awt.Color&nbsp;bgcolor,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified image as has already been scaled
                                    to fit inside the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;x,
                                int&nbsp;y,
                                int&nbsp;width,
                                int&nbsp;height,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified image as has already been scaled
                                    to fit inside the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;sx1,
                                int&nbsp;sy1,
                                int&nbsp;sx2,
                                int&nbsp;sy2,
                                java.awt.Color&nbsp;bgcolor,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified area of the specified image as is
                                    currently available, scaling it on the fly to fit inside the
                                    specified area of the destination drawable surface.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                int&nbsp;dx1,
                                int&nbsp;dy1,
                                int&nbsp;dx2,
                                int&nbsp;dy2,
                                int&nbsp;sx1,
                                int&nbsp;sy1,
                                int&nbsp;sx2,
                                int&nbsp;sy2,
                                java.awt.image.ImageObserver&nbsp;observer)</code>
                                <div class="block">Draws as much of the specified area of the specified image as is
                                    currently available, scaling it on the fly to fit inside the
                                    specified area of the destination drawable surface.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRenderableImage-java.awt.image.renderable.RenderableImage-java.awt.geom.AffineTransform-">drawRenderableImage</a></span>(java.awt.image.renderable.RenderableImage&nbsp;img,
                                java.awt.geom.AffineTransform&nbsp;xform)</code>
                                <div class="block">Renders a <code>RenderedImage</code>,
                                    applying a transform from image
                                    space into user space before drawing.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawRenderedImage-java.awt.image.RenderedImage-java.awt.geom.AffineTransform-">drawRenderedImage</a></span>(java.awt.image.RenderedImage&nbsp;img,
                                java.awt.geom.AffineTransform&nbsp;xform)</code>
                                <div class="block">Renders a
                                    <code>RenderableImage</code>,
                                    applying a transform from image space into user space before drawing.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#drawString-java.text.AttributedCharacterIterator-float-float-">drawString</a></span>(java.text.AttributedCharacterIterator&nbsp;iterator,
                                float&nbsp;x,
                                float&nbsp;y)</code>
                                <div class="block">Renders the text of the specified iterator, using the
                                    <code>Graphics2D</code> context's current <code>Paint</code>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.awt.Shape</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getClip--">getClip</a></span>()</code>
                                <div class="block">Gets the current clipping area.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.awt.Composite</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getComposite--">getComposite</a></span>()</code>
                                <div class="block">Returns the current <code>Composite</code> in the
                                    <code>Graphics2D</code> context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setClip-java.awt.Shape-">setClip</a></span>(java.awt.Shape&nbsp;clip)</code>
                                <div class="block">Sets the current clipping area to an arbitrary clip shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setComposite-java.awt.Composite-">setComposite</a></span>(java.awt.Composite&nbsp;comp)</code>
                                <div class="block">Sets the <code>Composite</code> for the <code>Graphics2D</code>
                                    context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setPaintMode--">setPaintMode</a></span>()</code>
                                <div class="block">Sets the paint mode of this graphics context to overwrite the
                                    destination with this graphics context's current color.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#setXORMode-java.awt.Color-">setXORMode</a></span>(java.awt.Color&nbsp;c1)</code>
                                <div class="block">Sets the paint mode of this graphics context to alternate between
                                    this graphics context's current color and the new specified color.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.section.geometry">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/xdgf/usermodel/section/geometry/package-summary.html">org.apache.poi.xdgf.usermodel.section.geometry</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xdgf/usermodel/section/geometry/package-summary.html">org.apache.poi.xdgf.usermodel.section.geometry</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PolyLineTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/section/geometry/PolyLineTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html#setFollowMasterBackground-boolean-">setFollowMasterBackground</a></span>(boolean&nbsp;follow)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html#setFollowMasterColourScheme-boolean-">setFollowMasterColourScheme</a></span>(boolean&nbsp;follow)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                    href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                    title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;&nbsp;notes)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Sheet</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#cloneSheet-int-">cloneSheet</a></span>(int&nbsp;sheetNum)</code>
                                <div class="block"><i>Not implemented for SXSSFWorkbook</i>

                                    Create an Sheet from an existing sheet in the Workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getArrayFormulaRange--">getArrayFormulaRange</a></span>()</code>
                                <div class="block">Only valid for array formula cells</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#isHidden--">isHidden</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#isPartOfArrayFormulaGroup--">isPartOfArrayFormulaGroup</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block"><i>Not implemented for SXSSFWorkbook</i>

                                    Adds the LinkTable records required to allow formulas referencing
                                    the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;hiddenFlag)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></span>(int&nbsp;firstShiftColumnIndex,
                                int&nbsp;lastShiftColumnIndex,
                                int&nbsp;step)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></span>(int&nbsp;firstShiftColumnIndex,
                                int&nbsp;lastShiftColumnIndex,
                                int&nbsp;step)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#shiftColumns-int-int-int-">shiftColumns</a></span>(int&nbsp;startColumn,
                                int&nbsp;endColumn,
                                int&nbsp;n)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#shiftRows-int-int-int-">shiftRows</a></span>(int&nbsp;startRow,
                                int&nbsp;endRow,
                                int&nbsp;n)</code>
                                <div class="block"><i>Not implemented for SXSSFSheets</i>

                                    Shifts rows between startRow and endRow n number of rows.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#shiftRows-int-int-int-boolean-boolean-">shiftRows</a></span>(int&nbsp;startRow,
                                int&nbsp;endRow,
                                int&nbsp;n,
                                boolean&nbsp;copyRowHeight,
                                boolean&nbsp;resetOriginalRowHeight)</code>
                                <div class="block"><i>Not implemented for SXSSFSheets</i>

                                    Shifts rows between startRow and endRow n number of rows.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">BaseXSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;workbookName,
                                java.lang.String&nbsp;sheetName)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#isHidden--">isHidden</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Adds the External Link Table part and relations required to allow
                                    formulas
                                    referencing the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;hiddenFlag)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                   title="annotation in org.apache.poi.util">NotImplemented</a> in <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/NotImplemented.html"
                                title="annotation in org.apache.poi.util">NotImplemented</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XWPFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html#addNewRowBetween-int-int-">addNewRowBetween</a></span>(int&nbsp;start,
                                int&nbsp;end)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">4.0.0 due to lack of implementation.</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/NotImplemented.html" title="annotation in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/NotImplemented.html"
               target="_top">Frames</a></li>
        <li><a href="NotImplemented.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
